•  » Plugins
  •  » [plugin] secure image : compatibilité piwigo 2.0.1

#1 2009-05-04 11:11:23

geronymo80
Membre
2007-07-19
7

[plugin] secure image : compatibilité piwigo 2.0.1

Bonjour,

Je viens de migrer ma galerie de la version 1.7 à 2.0.1 et visiblement secure image reste fonctionnel avec les .htaccess existant, mais la page administration n'est plus accessible. Après quelques recherches il semble que ce soit le nouveau moteur de template qui provoque ce problème, à cause de assign_var et assign_block_vars. J'ai tenté une adaptation à l'arache par assign() mais j'obtiens le messages suivant : "header already sent by (...secureimage/administration.php:122) in.. galerie/include/page_header.php line 98"

Existe-t-il une démarche ou un tuto permettant la migration d'un plug old version vers smarty?
Peut-être que VDigital (qui m'a déjà dépanné dans le passé) a une idée sur le sujet ?

Ce plugin étant très utile et n'étant pas intégré à la version 2.0.1 (ou alors j'ai pas bien regardé) j'aimerais vraiment arriver à le faire tourner correctement.

Merci

Dernière modification par geronymo80 (2009-05-04 11:13:41)

Hors ligne

#2 2009-05-06 21:07:05

LucMorizur
Membre
Vienne (Isère, 38)
2009-03-01
1967

Re: [plugin] secure image : compatibilité piwigo 2.0.1

geronymo80 a écrit:

(...)
Ce plugin étant très utile et n'étant pas intégré à la version 2.0.1 (ou alors j'ai pas bien regardé)
(...)

J'ai regardé aussi ce plugin ce soir, il semble bien qu'il ne soit compatible qu'avec la version 1.7 de Piwigo.

Luc

Hors ligne

#3 2009-05-07 18:47:32

geronymo80
Membre
2007-07-19
7

Re: [plugin] secure image : compatibilité piwigo 2.0.1

Salut Luc,

Merci d'avoir validé la non compatibilité de secureimage sur la nouvelle version de Piwigo.
Une idée de comment le faire migrer pour qu'il tourne sur 2.0.1??
Je veux bien participer à la migration... faudrait juste me guider !

A+

Hors ligne

#4 2009-05-07 19:36:17

VDigital
Former Piwigo Team
Paris (FR)
2005-05-04
15124

Re: [plugin] secure image : compatibilité piwigo 2.0.1

geronymo80 a écrit:

...à cause de assign_var et assign_block_vars. J'ai tenté une adaptation à l'arache par assign() mais j'obtiens le messages suivant : "header already sent by (...secureimage/administration.php:122) in.. galerie/include/page_header.php line 98"

Pas de tuto. Le site de Smarty donne des tonnes d'indications.
Je n'utilise pas Secure image.
Mais Ctrl+A, Ctrl+C, et coller ici les premières lignes, et on aura le message erreur déjà.


Vincent -« Plus vidéaste averti que photographe amateur... »
La galerie - Le blog   

Piwigo est une application libre de gestion de photos en ligne.

Hors ligne

#5 2009-05-08 10:46:24

nicolas
Former Piwigo Team
2004-12-30
1535

Re: [plugin] secure image : compatibilité piwigo 2.0.1

On peut peut-être contacter l'auteur pour lui demander s'il veut s'occuper de la mise à jour.
SInon je veux bien regarder dès que j'ai un moment.


Donnez du peps à vos tags
Laissez vos visiteurs vous aidez à tagger vos images avec user_tags

Hors ligne

#6 2009-05-08 11:39:06

VDigital
Former Piwigo Team
Paris (FR)
2005-05-04
15124

Re: [plugin] secure image : compatibilité piwigo 2.0.1

nicolas a écrit:

On peut peut-être contacter l'auteur pour lui demander s'il veut s'occuper de la mise à jour.

En principe on devrait commencer par là...


Vincent -« Plus vidéaste averti que photographe amateur... »
La galerie - Le blog   

Piwigo est une application libre de gestion de photos en ligne.

Hors ligne

#7 2009-05-08 11:58:21

geronymo80
Membre
2007-07-19
7

Re: [plugin] secure image : compatibilité piwigo 2.0.1

Effectivement, j'aurais du y penser ! Merci de me remettre dans le droit chemin ;)

Je viens d'envoyer un mail à ACP l'auteur du plugin lui demandant s'il compte faire évoluer son plugin ou si il nous permet de le faire...

Dès que j'ai une réponse je vous tiens au courant.

A+

Hors ligne

#8 2009-07-07 13:13:58

Azrael
Membre
2009-06-30
7

Re: [plugin] secure image : compatibilité piwigo 2.0.1

geronymo80 a écrit:

Dès que j'ai une réponse je vous tiens au courant.

Y a t'il eu une réponse ?

Hors ligne

#9 2009-07-07 14:24:51

Criss
Former Piwigo Team
Nice
2008-03-31
323

Re: [plugin] secure image : compatibilité piwigo 2.0.1

Oui il n'as pas eu le  temps de le faire, il réfléchit sur le code à pousser sur le repository de piwigo. J'attends son feu vert pour le faire.


La beta de Piwigo.com a été mise en ligne le 30 juin 2009. Enregistrez vous pour obtenir une galerie Piwigo hébergée. Venez nous aider à faire du beta-test !

Hors ligne

#10 2009-07-24 10:15:00

Sandrine
Membre
Lille
2009-07-21
12

Re: [plugin] secure image : compatibilité piwigo 2.0.1

Des nouvelles ?


Nous n'avons qu'une seule vie !

Hors ligne

#11 2009-12-16 10:42:42

geronymo80
Membre
2007-07-19
7

Re: [plugin] secure image : compatibilité piwigo 2.0.1

Hello,

Ca fait un moment mais j'ai eu quelques soucis divers...

Je n'ai toujours pas de nouvelles concernant la mise à jour.

A defaut de secure image, existe-t-il une autre solution pour rendre privé une partie de la galerie?

Merci

Hors ligne

#12 2009-12-16 11:50:11

Gotcha
Equipe Piwigo
Pierrelatte (26)
2007-03-14
13331

Re: [plugin] secure image : compatibilité piwigo 2.0.1

Tout dépend de ce que tu entends par rendre une partie de la galerie "privée" ^^


Ayez comme premier réflexe de consulter le wiki.
Ensuite, veuillez effectuer une recherche sur le forum avant de poser votre question.

LE FAIRE EST LE REVELATEUR DE L'ETRE

Hors ligne

#13 2009-12-16 18:07:56

geronymo80
Membre
2007-07-19
7

Re: [plugin] secure image : compatibilité piwigo 2.0.1

en fait c'est plutôt pour empecher l'utilisateur d'avoir directement accès à l'image depuis son nom de fichier via le chemin d'accès. SecureImage masque le tout assez efficacement.
J'ai d'ailleurs visiblement un soucis avec secureImage et Charlie's Content. Je ne peux visualiser les vidéos qu'une seule fois. Ensuite le lecteur ne répond pas. A moins de rafraichir la page. Pareil si je fais stop puis play...  en observant le rapport d'erreur généré par safari on constate qu'il y a effectivement une interaction avec secureimage...

Je vais devoir revenir à une ancienne version de Piwigo (PHPWebGallery) ou alors me passer de SecureImage...

A+

Hors ligne

#14 2009-12-16 18:10:24

Criss
Former Piwigo Team
Nice
2008-03-31
323

Re: [plugin] secure image : compatibilité piwigo 2.0.1

J'ai tenté le portage mais ai rencontré des conflits avec Charlies et les vidéos. J'ai donc abandonné. :D


La beta de Piwigo.com a été mise en ligne le 30 juin 2009. Enregistrez vous pour obtenir une galerie Piwigo hébergée. Venez nous aider à faire du beta-test !

Hors ligne

#15 2009-12-16 18:14:23

Gotcha
Equipe Piwigo
Pierrelatte (26)
2007-03-14
13331

Re: [plugin] secure image : compatibilité piwigo 2.0.1

Il faut voir si [extension by repie38] HotBlocker peux vous aider ;-)


Ayez comme premier réflexe de consulter le wiki.
Ensuite, veuillez effectuer une recherche sur le forum avant de poser votre question.

LE FAIRE EST LE REVELATEUR DE L'ETRE

Hors ligne

  •  » Plugins
  •  » [plugin] secure image : compatibilité piwigo 2.0.1

Pied de page des forums

Propulsé par FluxBB

github twitter facebook newsletter Faire un don Piwigo.org © 2002-2019 · Contact